org.apache.synapse.commons.evaluators

## Class EvaluatorConstants

- java.lang.Object
- - org.apache.synapse.commons.evaluators.EvaluatorConstants

-     public class EvaluatorConstants
      extends java.lang.Object

  Constants used through out the evaluators

- - ### Nested Class Summary

    Nested Classes
    Modifier and Type | Class and Description
    --- | ---
    `static class` | `EvaluatorConstants.URI_FRAGMENTS`

  - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static java.lang.String` | `AND`
    `static java.lang.String` | `CONDITION`
    `static java.lang.String` | `CONDITIONS`
    `static java.lang.String` | `DEFAULT_PRIORITY`
    `static java.lang.String` | `EMPTY_PREFIX`
    `static java.lang.String` | `EQUAL`
    `static java.lang.String` | `HEADER`
    `static java.lang.String` | `MATCH`
    `static java.lang.String` | `NOT`
    `static java.lang.String` | `OR`
    `static java.lang.String` | `PARAM`
    `static java.lang.String` | `PRIORITY`
    `static java.lang.String` | `PROPERTY`
    `static java.lang.String` | `REGEX`
    `static java.lang.String` | `SOAP`
    `static java.lang.String` | `SOURCE`
    `static java.lang.String` | `SYNAPSE_NAMESPACE`
    `static java.lang.String` | `TYPE`
    `static java.lang.String` | `URL`
    `static java.lang.String` | `VALUE`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `EvaluatorConstants()`

  - ### Method Summary

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### AND

          public static final java.lang.String AND

      See Also:
        Constant Field Values

    - #### OR

          public static final java.lang.String OR

      See Also:
        Constant Field Values

    - #### NOT

          public static final java.lang.String NOT

      See Also:
        Constant Field Values

    - #### MATCH

          public static final java.lang.String MATCH

      See Also:
        Constant Field Values

    - #### EQUAL

          public static final java.lang.String EQUAL

      See Also:
        Constant Field Values

    - #### HEADER

          public static final java.lang.String HEADER

      See Also:
        Constant Field Values

    - #### PARAM

          public static final java.lang.String PARAM

      See Also:
        Constant Field Values

    - #### URL

          public static final java.lang.String URL

      See Also:
        Constant Field Values

    - #### PROPERTY

          public static final java.lang.String PROPERTY

      See Also:
        Constant Field Values

    - #### SOAP

          public static final java.lang.String SOAP

      See Also:
        Constant Field Values

    - #### TYPE

          public static final java.lang.String TYPE

      See Also:
        Constant Field Values

    - #### SOURCE

          public static final java.lang.String SOURCE

      See Also:
        Constant Field Values

    - #### REGEX

          public static final java.lang.String REGEX

      See Also:
        Constant Field Values

    - #### VALUE

          public static final java.lang.String VALUE

      See Also:
        Constant Field Values

    - #### CONDITIONS

          public static final java.lang.String CONDITIONS

      See Also:
        Constant Field Values

    - #### CONDITION

          public static final java.lang.String CONDITION

      See Also:
        Constant Field Values

    - #### PRIORITY

          public static final java.lang.String PRIORITY

      See Also:
        Constant Field Values

    - #### DEFAULT_PRIORITY

          public static final java.lang.String DEFAULT_PRIORITY

      See Also:
        Constant Field Values

    - #### SYNAPSE_NAMESPACE

          public static final java.lang.String SYNAPSE_NAMESPACE

      See Also:
        Constant Field Values

    - #### EMPTY_PREFIX

          public static final java.lang.String EMPTY_PREFIX

      See Also:
        Constant Field Values

  - ### Constructor Detail

    - #### EvaluatorConstants

          public EvaluatorConstants()

Copyright © 2005-2022 Apache Software Foundation. All Rights Reserved.